import java.util.*;

// abstract checker

public class JohnChecker
{
	public static final int MINN = 2;
	public static final int MAXN = 10000;
	public static final int MINK = 2;
	public static final int MAXK = 1000000;

    public static void printError(int line, String msg)
	{
		System.out.println("ERROR Line " + line + ": " + msg);
		System.exit(-1);
	}

    public static void checkIntBounds(int x, int min, int max, String name, int nLines)
    {
        if (x < min || x > max)
            printError(nLines, "invalid " + name + " value: " + x);
    }

    public static void main(String [] args)
	{
		Scanner in = new Scanner(System.in);
		int n;
		String line;
		int nLines=0;

        line = in.nextLine();
        nLines++;
        StringTokenizer st = new StringTokenizer(line);
        if (st.countTokens() != 1)
            printError(nLines, "number of values on line incorrect");
        n = Integer.parseInt(st.nextToken());
        checkIntBounds(n, MINN, MAXN, "n", nLines);

        line = in.nextLine();
        nLines++;
        st = new StringTokenizer(line);
        if (st.countTokens() != n)
            printError(nLines, "number of values on line incorrect");
        for(int i=1; i<=n; i++) {
            int k = Integer.parseInt(st.nextToken());
            checkIntBounds(k, MINK, MAXK, "k_"+i, nLines);
        }
		if (in.hasNextLine())
			printError(nLines, "too many lines");
        System.exit(42);
	}
}
